Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 10 May 2009 18:25:14 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-projects@freebsd.org
Subject:   svn commit: r191971 - projects/stress2/misc
Message-ID:  <200905101825.n4AIPE22065114@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Sun May 10 18:25:14 2009
New Revision: 191971
URL: http://svn.freebsd.org/changeset/base/191971

Log:
  Added simple test scenario for PMC(3)

Added:
  projects/stress2/misc/pmc.sh   (contents, props changed)

Added: projects/stress2/misc/pmc.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/pmc.sh	Sun May 10 18:25:14 2009	(r191971)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2008-2009 Peter Holm
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple pmc test
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q hwpmc  || kldload hwpmc
+
+for i in `jot 2`; do
+	pmcstat -P instructions  -O /tmp/sample.out.$i find /var -name not.there &
+done
+
+export runRUNTIME=5m
+(cd /home/pho/stress2; ./run.sh vfs.cfg)
+
+for i in `jot 2`; do
+	wait
+done



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200905101825.n4AIPE22065114>